Subject: Re: bug#24902: 25.1; C-x = for Unicode

From: Mattias Engdegård <[email-masked]>
Date: Mon, 24 Jan 2022 15:09:43 +0100

24 jan. 2022 kl. 12.00 skrev Lars Ingebrigtsen <[email-masked]>:

>  The reason we don't remove all the octal
> stuff from Emacs is that it'd annoy a significant number of people.

Oh, that is perfectly understood, and please do believe that I'm not accusing you of stubborn conservatism! But being human, you and I both are capable of making sometimes less than perfect decisions for excellent reasons such as not wanting to annoy people. We then fail taking into account the people that are annoyed by these decisions.

There is no perfect solution to this problem but fearless discussion is a good start.

> Making a format-spec thing for `C-x =' would be fine by me.

That would of course also be possible, but I'm not sure the complexity (in implementing, maintaining and using it) would be warranted. What about just starting with two choices, old and new, while honouring the existing `what-cursor-show-names` variable in the former case? A more complex user-define format could be added as a later alternative.

> I don't understand the aggression here, though.

My sincerest apologies -- none were meant.